#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QGLBuffer>
#include <QGLShaderProgram>
#include <QGLWidget>

#include <Vuo/Vuo.h>

class GLWidget : public QGLWidget
{
	Q_OBJECT
public:
	GLWidget(QWidget *parent = 0);

protected:
	virtual void initializeGL();
	virtual void resizeGL(int w, int h);
	virtual void paintGL();

	virtual void keyPressEvent(QKeyEvent *e);

private:
	VuoRunner *runner;
	GLuint vertexArray;
	GLuint quadPositionBuffer;
	GLuint quadElementBuffer;
	GLuint inputTexture;
	GLuint vertexShader;
	GLuint fragmentShader;
	GLuint program;
	VuoPublishedPort *inputTexturePort;
	GLint positionAttribute;
	GLint textureUniform;
};

#endif // GLWIDGET_H
